#
# spec file for package fusepy
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# compatibility for older SUSE versions that aren't fit for python single-spec
# yet
%{?!python_module:%define python_module() python-%{**} python3-%{**}}

Name:           python-fusepy
Version:        2.0.4
Release:        lp151.2.2
License:        ISC
Summary:        A python module that provides a simple interface to FUSE
Url:            https://github.com/terencehonles/fusepy
Group:          Development/Libraries/Python
Source:         https://github.com/terencehonles/fusepy/archive/v%{version}.tar.gz
BuildRequires:  fuse-devel
BuildRequires:  pkg-config
BuildRequires:  %{python_module setuptools}
# required for older SUSE versions w/o python single-spec support
BuildRequires:  python-rpm-macros
# fusepy interfaces via ctypes to libfuse, so no arch dependent elements
# should be in the package
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# both projects use the same python package name
Conflicts:      python-fuse
%python_subpackages

%description
fusepy is a Python module that provides a simple interface to FUSE. It makes
the implementation of userspace file systems based on FUSE and python
possible.

%prep
%setup -q -n fusepy-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root)
%{python_sitelib}/*
%doc README.rst

%changelog
* Mon Dec 11 2017 matthias.gerstner@suse.com
- initial package version
